backends = [
    "http://127.0.0.1:9292/",
    "http://127.0.0.1:9293/",
    "http://127.0.0.1:9294/",
]

r = Apache::Request.new()
now = Time.now
filename = if 0 <= now.hour and now.hour <= 4
             "#{Apache::Server.new.document_root}/maintenance.html"
           else
             r.handler  = "proxy-server"
             r.proxyreq = Apache::PROXYREQ_REVERSE
             choice = backends[rand(backends.length)]
             "proxy:" + choice + r.uri
           end

r.filename = filename
Apache.errlogger 5, "=== Proxied - #{r.filename} ==="
Apache::return(Apache::OK)
