module Sieve
  def self.sieve(max)
    target = (2..max).to_a
    ret = []
    until target.empty?
      ret << (prime = target.shift)
      break if prime * prime > max
      target = target.reject {|i| i % prime == 0 }
    end
    ret + target
  end
end

sieve = Sieve.sieve(10000)
print sieve.first(10), '...', sieve.last(10), "\n"
