module Sieve
  def self.sieve(max)
    target = (2..max).to_a
    ret = []
    until target.empty?
      ret << (prime = target.shift)
      break if prime * prime > max
      target = target.reject {|i| i % prime == 0 }
    end
    ret + target
  end
end

sieve = Sieve.sieve(10000)
File.open("./out.txt", 'w') do |f|
  f.write [
    sieve.first(10).join(','),
    '...',
    sieve.last(10).join(','),
    "\n"
  ].join
end
